m.Parking.Place Class Reference

Representation d'une place de DreamPark. More...

## Public Member Functions

def | __init__
| Contructeur de Place. More...
def | prendre (self)
| Rend la place la indisponible.
def | liberer (self)
| Rend la place disponible.
def | id (self)
| propriete : id de la place
def | identification (self)
| propriete : identification etage : numero de la place
def | estlibre (self)
| propriete : True si la place est libre
def | typePlace (self)
| propriete : typePlace de la place
def | __str__ (self)
| Representation d'une place en chaine.

## Static Public Member Functions

def | nbPlaceParking (idParking)
| Retourne les nombre de place du parking d'id idParking. More...
def | nbPlaceLibreParking (idParking)
| Retourne les nombre de place libre du parking d'id idParking. More...
def | nbSuperAbo (idParking)
| Retourne les nombre de place superAbo du parking d'id idParking. More...
def | placeValide (idPArking, voiture)
| Retourne si une place valide pour une voiture dans un parking. More...

## Detailed Description

Representation d'une place de DreamPark.

## Constructor & Destructor Documentation

def m.Parking.Place.__init__ | ( |  | self,
|  |  | id,
|  |  | parking = `None`,
|  |  | typePlace = `None`,
|  |  | numero = `None`,
|  |  | estLibre = `True`,
|  |  | estSuperAbo = `False`
| ) |  |

Contructeur de Place.

Parameters

  id | Si None : creation de la place dans la bd Sinon : tentative de récupération de la place avec cet id dans la bd
  parking | Si creation : le Parking ou est creer la place
  typePlace | Si creation : le TypePlace de place
  numero | Si creation : le numero de place
  estLibre | Si creation : Si la place est libre ou non
  estSuperAbo | Si creation : Si la place est superAbo ou non

## Member Function Documentation

def m.Parking.Place.nbPlaceLibreParking | ( |  | idParking | ) |

static

Retourne les nombre de place libre du parking d'id idParking.

Parameters

  idParking | l'id du parking

Returns
  le nombre de place libre

def m.Parking.Place.nbPlaceParking | ( |  | idParking | ) |

static

Retourne les nombre de place du parking d'id idParking.

Parameters

  idParking | l'id du parking

Returns
  le nombre de place

def m.Parking.Place.nbSuperAbo | ( |  | idParking | ) |

static

Retourne les nombre de place superAbo du parking d'id idParking.

Parameters

  idParking | l'id du parking

Returns
  le nombre de place superAbo

def m.Parking.Place.placeValide | ( |  | idPArking,
|  |  | voiture
| ) |  |

static

Retourne si une place valide pour une voiture dans un parking.

Parameters

  idParking | id du parking ou est recherché la place
  voiture | voiture pour laquelle est recherché la place

Returns
  Si non trouve : None. Sinon : Place une place valide

The documentation for this class was generated from the following file:

- src/m/Parking.py